## org.eclipse.datatools.modelbase.sql.xml.query
Interface SQLXMLQueryModelPackage.Literals

Enclosing interface:
  SQLXMLQueryModelPackage

    public static interface SQLXMLQueryModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `XML_AGGREGATE_FUNCTION` The meta object literal for the '`XML Aggregate Function`' class.
`static EAttribute` `XML_AGGREGATE_FUNCTION__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EReference` `XML_AGGREGATE_FUNCTION__SORT_SPEC_LIST` The meta object literal for the 'Sort Spec List' containment reference list feature.
`static EClass` `XML_AGGREGATE_SORT_SPECIFICATION` The meta object literal for the '`XML Aggregate Sort Specification`' class.
`static EReference` `XML_AGGREGATE_SORT_SPECIFICATION__AGGREGATE_FUNCTION` The meta object literal for the 'Aggregate Function' container reference feature.
`static EReference` `XML_AGGREGATE_SORT_SPECIFICATION__ORDER_BY_SPEC` The meta object literal for the 'Order By Spec' containment reference feature.
`static EClass` `XML_ATTRIBUTE_DECLARATION_ITEM` The meta object literal for the '`XML Attribute Declaration Item`' class.
`static EReference` `XML_ATTRIBUTE_DECLARATION_ITEM__ATTRIBUTES_DECL` The meta object literal for the 'Attributes Decl' container reference feature.
`static EReference` `XML_ATTRIBUTE_DECLARATION_ITEM__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `XML_ATTRIBUTES_DECLARATION` The meta object literal for the '`XML Attributes Declaration`' class.
`static EReference` `XML_ATTRIBUTES_DECLARATION__ATTRIBUTE_DECL_ITEM` The meta object literal for the 'Attribute Decl Item' containment reference list feature.
`static EReference` `XML_ATTRIBUTES_DECLARATION__VALUE_FUNCTION_ELEMENT` The meta object literal for the 'Value Function Element' container reference feature.
`static EEnum` `XML_CONTENT_TYPE` The meta object literal for the '`XML Content Type`' enum.
`static EEnum` `XML_CONTENT_TYPE2` The meta object literal for the '`XML Content Type2`' enum.
`static EEnum` `XML_DECLARATION_TYPE` The meta object literal for the '`XML Declaration Type`' enum.
`static EEnum` `XML_EMPTY_HANDLING_TYPE` The meta object literal for the '`XML Empty Handling Type`' enum.
`static EClass` `XML_NAMESPACE_DECLARATION_DEFAULT` The meta object literal for the '`XML Namespace Declaration Default`' class.
`static EAttribute` `XML_NAMESPACE_DECLARATION_DEFAULT__NO_DEFAULT` The meta object literal for the 'No Default' attribute feature.
`static EClass` `XML_NAMESPACE_DECLARATION_ITEM` The meta object literal for the '`XML Namespace Declaration Item`' class.
`static EReference` `XML_NAMESPACE_DECLARATION_ITEM__NAMESPACES_DECL` The meta object literal for the 'Namespaces Decl' container reference feature.
`static EAttribute` `XML_NAMESPACE_DECLARATION_ITEM__URI` The meta object literal for the 'Uri' attribute feature.
`static EClass` `XML_NAMESPACE_DECLARATION_PREFIX` The meta object literal for the '`XML Namespace Declaration Prefix`' class.
`static EAttribute` `XML_NAMESPACE_DECLARATION_PREFIX__PREFIX` The meta object literal for the 'Prefix' attribute feature.
`static EClass` `XML_NAMESPACES_DECLARATION` The meta object literal for the '`XML Namespaces Declaration`' class.
`static EReference` `XML_NAMESPACES_DECLARATION__NAMESPACE_DECLTEM_LIST` The meta object literal for the 'Namespace Decltem List' containment reference list feature.
`static EReference` `XML_NAMESPACES_DECLARATION__TABLE_FUNCTION` The meta object literal for the 'Table Function' container reference feature.
`static EReference` `XML_NAMESPACES_DECLARATION__VALUE_FUNCTION_ELEMENT` The meta object literal for the 'Value Function Element' container reference feature.
`static EReference` `XML_NAMESPACES_DECLARATION__VALUE_FUNCTION_FOREST` The meta object literal for the 'Value Function Forest' container reference feature.
`static EEnum` `XML_NULL_HANDLING_TYPE` The meta object literal for the '`XML Null Handling Type`' enum.
`static EEnum` `XML_PASSING_TYPE` The meta object literal for the '`XML Passing Type`' enum.
`static EClass` `XML_PREDICATE` The meta object literal for the '`XML Predicate`' class.
`static EClass` `XML_PREDICATE_CONTENT` The meta object literal for the '`XML Predicate Content`' class.
`static EClass` `XML_PREDICATE_DOCUMENT` The meta object literal for the '`XML Predicate Document`' class.
`static EClass` `XML_PREDICATE_EXISTS` The meta object literal for the '`XML Predicate Exists`' class.
`static EReference` `XML_PREDICATE_EXISTS__XQUERY_ARG_LIST` The meta object literal for the 'Xquery Arg List' containment reference feature.
`static EReference` `XML_PREDICATE_EXISTS__XQUERY_EXPR` The meta object literal for the 'Xquery Expr' containment reference feature.
`static EClass` `XML_PREDICATE_VALID` The meta object literal for the '`XML Predicate Valid`' class.
`static EClass` `XML_QUERY_ARGUMENT_ITEM` The meta object literal for the '`XML Query Argument Item`' class.
`static EAttribute` `XML_QUERY_ARGUMENT_ITEM__PASSING_MECHANISM` The meta object literal for the 'Passing Mechanism' attribute feature.
`static EReference` `XML_QUERY_ARGUMENT_ITEM__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_QUERY_ARGUMENT_ITEM__XQUERY_ARG_LIST` The meta object literal for the 'Xquery Arg List' container reference feature.
`static EClass` `XML_QUERY_ARGUMENT_LIST` The meta object literal for the '`XML Query Argument List`' class.
`static EAttribute` `XML_QUERY_ARGUMENT_LIST__PASSING_MECHANISM` The meta object literal for the 'Passing Mechanism' attribute feature.
`static EReference` `XML_QUERY_ARGUMENT_LIST__PREDICATE_EXISTS` The meta object literal for the 'Predicate Exists' container reference feature.
`static EReference` `XML_QUERY_ARGUMENT_LIST__TABLE_FUNCTION` The meta object literal for the 'Table Function' container reference feature.
`static EReference` `XML_QUERY_ARGUMENT_LIST__VALUE_FUNCTION_QUERY` The meta object literal for the 'Value Function Query' container reference feature.
`static EReference` `XML_QUERY_ARGUMENT_LIST__XQUERY_ARG_LIST_CHILDREN` The meta object literal for the 'Xquery Arg List Children' containment reference list feature.
`static EClass` `XML_QUERY_EXPRESSION` The meta object literal for the '`XML Query Expression`' class.
`static EReference` `XML_QUERY_EXPRESSION__PREDICATE_EXISTS` The meta object literal for the 'Predicate Exists' container reference feature.
`static EReference` `XML_QUERY_EXPRESSION__VALUE_FUNCTION_QUERY` The meta object literal for the 'Value Function Query' container reference feature.
`static EAttribute` `XML_QUERY_EXPRESSION__XQUERY_EXPR_CONTENT` The meta object literal for the 'Xquery Expr Content' attribute feature.
`static EEnum` `XML_RETURNING_TYPE` The meta object literal for the '`XML Returning Type`' enum.
`static EClass` `XML_SERIALIZE_FUNCTION` The meta object literal for the '`XML Serialize Function`' class.
`static EAttribute` `XML_SERIALIZE_FUNCTION__CONTENT_OPTION` The meta object literal for the 'Content Option' attribute feature.
`static EAttribute` `XML_SERIALIZE_FUNCTION__DECLARATION_OPTION` The meta object literal for the 'Declaration Option' attribute feature.
`static EReference` `XML_SERIALIZE_FUNCTION__SERIALIZE_ENCODING` The meta object literal for the 'Serialize Encoding' containment reference feature.
`static EReference` `XML_SERIALIZE_FUNCTION__SERIALIZE_TARGET` The meta object literal for the 'Serialize Target' containment reference feature.
`static EAttribute` `XML_SERIALIZE_FUNCTION__SERIALIZE_VERSION` The meta object literal for the 'Serialize Version' attribute feature.
`static EClass` `XML_SERIALIZE_FUNCTION_ENCODING` The meta object literal for the '`XML Serialize Function Encoding`' class.
`static EAttribute` `XML_SERIALIZE_FUNCTION_ENCODING__ENCODING_NAME` The meta object literal for the 'Encoding Name' attribute feature.
`static EClass` `XML_SERIALIZE_FUNCTION_TARGET` The meta object literal for the '`XML Serialize Function Target`' class.
`static EReference` `XML_SERIALIZE_FUNCTION_TARGET__SERIALIZE_FUNCTION` The meta object literal for the 'Serialize Function' container reference feature.
`static EReference` `XML_SERIALIZE_FUNCTION_TARGET__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `XML_TABLE_COLUMN_DEFINITION_DEFAULT` The meta object literal for the '`XML Table Column Definition Default`' class.
`static EReference` `XML_TABLE_COLUMN_DEFINITION_DEFAULT__COLUMN_DEFINITION_REGULAR` The meta object literal for the 'Column Definition Regular' container reference feature.
`static EReference` `XML_TABLE_COLUMN_DEFINITION_DEFAULT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `XML_TABLE_COLUMN_DEFINITION_ITEM` The meta object literal for the '`XML Table Column Definition Item`' class.
`static EReference` `XML_TABLE_COLUMN_DEFINITION_ITEM__TABLE_FUNCTION` The meta object literal for the 'Table Function' container reference feature.
`static EClass` `XML_TABLE_COLUMN_DEFINITION_ORDINALITY` The meta object literal for the '`XML Table Column Definition Ordinality`' class.
`static EClass` `XML_TABLE_COLUMN_DEFINITION_REGULAR` The meta object literal for the '`XML Table Column Definition Regular`' class.
`static EReference` `XML_TABLE_COLUMN_DEFINITION_REGULAR__COLUMN_DEFINITION_DEFAULT` The meta object literal for the 'Column Definition Default' containment reference feature.
`static EReference` `XML_TABLE_COLUMN_DEFINITION_REGULAR__DATA_TYPE` The meta object literal for the 'Data Type' containment reference feature.
`static EAttribute` `XML_TABLE_COLUMN_DEFINITION_REGULAR__PASSING_OPTION` The meta object literal for the 'Passing Option' attribute feature.
`static EAttribute` `XML_TABLE_COLUMN_DEFINITION_REGULAR__TABLE_COLUMN_PATTERN` The meta object literal for the 'Table Column Pattern' attribute feature.
`static EClass` `XML_TABLE_FUNCTION` The meta object literal for the '`XML Table Function`' class.
`static EReference` `XML_TABLE_FUNCTION__COLUMN_DEF_LIST` The meta object literal for the 'Column Def List' containment reference list feature.
`static EReference` `XML_TABLE_FUNCTION__NAMESPACES_DECL` The meta object literal for the 'Namespaces Decl' containment reference feature.
`static EAttribute` `XML_TABLE_FUNCTION__TABLE_ROW_PATTERN` The meta object literal for the 'Table Row Pattern' attribute feature.
`static EReference` `XML_TABLE_FUNCTION__XQUERY_ARG_LIST` The meta object literal for the 'Xquery Arg List' containment reference feature.
`static EClass` `XML_VALUE_EXPRESSION_CAST` The meta object literal for the '`XML Value Expression Cast`' class.
`static EAttribute` `XML_VALUE_EXPRESSION_CAST__PASSING_MECHANISM` The meta object literal for the 'Passing Mechanism' attribute feature.
`static EClass` `XML_VALUE_FUNCTION` The meta object literal for the '`XML Value Function`' class.
`static EClass` `XML_VALUE_FUNCTION_COMMENT` The meta object literal for the '`XML Value Function Comment`' class.
`static EReference` `XML_VALUE_FUNCTION_COMMENT__COMMENT_CONTENT` The meta object literal for the 'Comment Content' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_COMMENT__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_COMMENT_CONTENT` The meta object literal for the '`XML Value Function Comment Content`' class.
`static EReference` `XML_VALUE_FUNCTION_COMMENT_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_COMMENT_CONTENT__VALUE_FUNCTION_COMMENT` The meta object literal for the 'Value Function Comment' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_CONCAT` The meta object literal for the '`XML Value Function Concat`' class.
`static EReference` `XML_VALUE_FUNCTION_CONCAT__CONCAT_CONTENT_LIST` The meta object literal for the 'Concat Content List' containment reference list feature.
`static EAttribute` `XML_VALUE_FUNCTION_CONCAT__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM` The meta object literal for the '`XML Value Function Concat Content Item`' class.
`static EReference` `XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM__VALUE_FUNCTION_CONCAT` The meta object literal for the 'Value Function Concat' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_DOCUMENT` The meta object literal for the '`XML Value Function Document`' class.
`static EReference` `XML_VALUE_FUNCTION_DOCUMENT__DOCUMENT_CONTENT` The meta object literal for the 'Document Content' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_DOCUMENT__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_DOCUMENT_CONTENT` The meta object literal for the '`XML Value Function Document Content`' class.
`static EReference` `XML_VALUE_FUNCTION_DOCUMENT_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_DOCUMENT_CONTENT__VALUE_FUNCTION_DOCUMENT` The meta object literal for the 'Value Function Document' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_ELEMENT` The meta object literal for the '`XML Value Function Element`' class.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT__ATTRIBUTES_DECL` The meta object literal for the 'Attributes Decl' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT__ELEMENT_CONTENT_LIST` The meta object literal for the 'Element Content List' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_ELEMENT__ELEMENT_NAME` The meta object literal for the 'Element Name' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT__NAMESPACES_DECL` The meta object literal for the 'Namespaces Decl' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_ELEMENT__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM` The meta object literal for the '`XML Value Function Element Content Item`' class.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM__ELEMENT_CONTENT_LIST` The meta object literal for the 'Element Content List' container reference feature.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST` The meta object literal for the '`XML Value Function Element Content List`' class.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__ELEMENT_CONTENT_LIST_CHILDREN` The meta object literal for the 'Element Content List Children' containment reference list feature.
`static EAttribute` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__NULL_HANDLING_OPTION` The meta object literal for the 'Null Handling Option' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__VALUE_FUNCTION_ELEMENT` The meta object literal for the 'Value Function Element' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_FOREST` The meta object literal for the '`XML Value Function Forest`' class.
`static EReference` `XML_VALUE_FUNCTION_FOREST__FOREST_CONTENT_LIST` The meta object literal for the 'Forest Content List' containment reference list feature.
`static EReference` `XML_VALUE_FUNCTION_FOREST__NAMESPACES_DECL` The meta object literal for the 'Namespaces Decl' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_FOREST__NULL_HANDLING_OPTION` The meta object literal for the 'Null Handling Option' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_FOREST__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM` The meta object literal for the '`XML Value Function Forest Content Item`' class.
`static EReference` `XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM__VALUE_FUNCTION_FOREST` The meta object literal for the 'Value Function Forest' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_PARSE` The meta object literal for the '`XML Value Function Parse`' class.
`static EAttribute` `XML_VALUE_FUNCTION_PARSE__CONTENT_OPTION` The meta object literal for the 'Content Option' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_PARSE__PARSE_CONTENT` The meta object literal for the 'Parse Content' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_PARSE__WHITESPACE_HANDLING_OPTION` The meta object literal for the 'Whitespace Handling Option' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_PARSE_CONTENT` The meta object literal for the '`XML Value Function Parse Content`' class.
`static EReference` `XML_VALUE_FUNCTION_PARSE_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_PARSE_CONTENT__VALUE_FUNCTION_PARSE` The meta object literal for the 'Value Function Parse' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_PI` The meta object literal for the '`XML Value Function PI`' class.
`static EReference` `XML_VALUE_FUNCTION_PI__PI_CONTENT` The meta object literal for the 'PI Content' containment reference feature.
`static EAttribute` `XML_VALUE_FUNCTION_PI__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_PI__TARGET_NAME` The meta object literal for the 'Target Name' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_PI_CONTENT` The meta object literal for the '`XML Value Function PI Content`' class.
`static EReference` `XML_VALUE_FUNCTION_PI_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_PI_CONTENT__VALUE_FUNCTION_PI` The meta object literal for the 'Value Function PI' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_QUERY` The meta object literal for the '`XML Value Function Query`' class.
`static EAttribute` `XML_VALUE_FUNCTION_QUERY__EMPTY_HANDLING_OPTION` The meta object literal for the 'Empty Handling Option' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_QUERY__QUERY_RETURNING` The meta object literal for the 'Query Returning' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_QUERY__XQUERY_ARG_LIST` The meta object literal for the 'Xquery Arg List' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_QUERY__XQUERY_EXPR` The meta object literal for the 'Xquery Expr' containment reference feature.
`static EClass` `XML_VALUE_FUNCTION_QUERY_RETURNING` The meta object literal for the '`XML Value Function Query Returning`' class.
`static EAttribute` `XML_VALUE_FUNCTION_QUERY_RETURNING__PASSING_OPTION` The meta object literal for the 'Passing Option' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_QUERY_RETURNING__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_QUERY_RETURNING__VALUE_FUNCTION_QUERY` The meta object literal for the 'Value Function Query' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_TEXT` The meta object literal for the '`XML Value Function Text`' class.
`static EAttribute` `XML_VALUE_FUNCTION_TEXT__RETURNING_OPTION` The meta object literal for the 'Returning Option' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_TEXT__TEXT_CONTENT` The meta object literal for the 'Text Content' containment reference feature.
`static EClass` `XML_VALUE_FUNCTION_TEXT_CONTENT` The meta object literal for the '`XML Value Function Text Content`' class.
`static EReference` `XML_VALUE_FUNCTION_TEXT_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_TEXT_CONTENT__VALUE_FUNCTION_TEXT` The meta object literal for the 'Value Function Text' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE` The meta object literal for the '`XML Value Function Validate`' class.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE__CONTENT_OPTION` The meta object literal for the 'Content Option' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE__VALIDATE_ACCORDING_TO` The meta object literal for the 'Validate According To' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE__VALIDATE_CONTENT` The meta object literal for the 'Validate Content' containment reference feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO` The meta object literal for the '`XML Value Function Validate According To`' class.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO__VALIDATE_ELEMENT` The meta object literal for the 'Validate Element' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO__VALUE_FUNCTION_VALIDATE` The meta object literal for the 'Value Function Validate' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER` The meta object literal for the '`XML Value Function Validate According To Identifier`' class.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER__REGISTERED_XML_SCHEMA_NAME` The meta object literal for the 'Registered XML Schema Name' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER__SCHEMA_NAME` The meta object literal for the 'Schema Name' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI` The meta object literal for the '`XML Value Function Validate According To URI`' class.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__NO_NAMESPACE` The meta object literal for the 'No Namespace' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__SCHEMA_LOCATION_URI` The meta object literal for the 'Schema Location URI' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__TARGET_NAMESPACE_URI` The meta object literal for the 'Target Namespace URI' attribute feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_CONTENT` The meta object literal for the '`XML Value Function Validate Content`' class.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_CONTENT__VALUE_FUNCTION_VALIDATE` The meta object literal for the 'Value Function Validate' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT` The meta object literal for the '`XML Value Function Validate Element`' class.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ACCORDING_TO` The meta object literal for the 'Validate According To' container reference feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ELEMENT_NAME` The meta object literal for the 'Validate Element Name' containment reference feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ELEMENT_NAMESPACE` The meta object literal for the 'Validate Element Namespace' containment reference feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAME` The meta object literal for the '`XML Value Function Validate Element Name`' class.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAME__VALIDATE_ELEMENT` The meta object literal for the 'Validate Element' container reference feature.
`static EClass` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE` The meta object literal for the '`XML Value Function Validate Element Namespace`' class.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__NAMESPACE_URI` The meta object literal for the 'Namespace URI' attribute feature.
`static EAttribute` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__NO_NAMESPACE` The meta object literal for the 'No Namespace' attribute feature.
`static EReference` `XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__VALIDATE_ELEMENT` The meta object literal for the 'Validate Element' container reference feature.
`static EEnum` `XML_WHITESPACE_HANDLING_TYPE` The meta object literal for the '`XML Whitespace Handling Type`' enum.

Field Detail

### XML_VALUE_FUNCTION_CONCAT

    static final EClass XML_VALUE_FUNCTION_CONCAT

  The meta object literal for the '`XML Value Function Concat`' class.

  See Also:
    `XMLValueFunctionConcatImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionConcat()`

### XML_VALUE_FUNCTION_CONCAT__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_CONCAT__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_CONCAT__CONCAT_CONTENT_LIST

    static final EReference XML_VALUE_FUNCTION_CONCAT__CONCAT_CONTENT_LIST

  The meta object literal for the 'Concat Content List' containment reference list feature.

### XML_VALUE_FUNCTION

    static final EClass XML_VALUE_FUNCTION

  The meta object literal for the '`XML Value Function`' class.

  See Also:
    `XMLValueFunctionImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunction()`

### XML_NAMESPACE_DECLARATION_PREFIX

    static final EClass XML_NAMESPACE_DECLARATION_PREFIX

  The meta object literal for the '`XML Namespace Declaration Prefix`' class.

  See Also:
    `XMLNamespaceDeclarationPrefixImpl`, `SQLXMLQueryModelPackageImpl.getXMLNamespaceDeclarationPrefix()`

### XML_NAMESPACE_DECLARATION_PREFIX__PREFIX

    static final EAttribute XML_NAMESPACE_DECLARATION_PREFIX__PREFIX

  The meta object literal for the 'Prefix' attribute feature.

### XML_NAMESPACE_DECLARATION_DEFAULT

    static final EClass XML_NAMESPACE_DECLARATION_DEFAULT

  The meta object literal for the '`XML Namespace Declaration Default`' class.

  See Also:
    `XMLNamespaceDeclarationDefaultImpl`, `SQLXMLQueryModelPackageImpl.getXMLNamespaceDeclarationDefault()`

### XML_NAMESPACE_DECLARATION_DEFAULT__NO_DEFAULT

    static final EAttribute XML_NAMESPACE_DECLARATION_DEFAULT__NO_DEFAULT

  The meta object literal for the 'No Default' attribute feature.

### XML_ATTRIBUTE_DECLARATION_ITEM

    static final EClass XML_ATTRIBUTE_DECLARATION_ITEM

  The meta object literal for the '`XML Attribute Declaration Item`' class.

  See Also:
    `XMLAttributeDeclarationItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLAttributeDeclarationItem()`

### XML_ATTRIBUTE_DECLARATION_ITEM__VALUE_EXPR

    static final EReference XML_ATTRIBUTE_DECLARATION_ITEM__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_ATTRIBUTE_DECLARATION_ITEM__ATTRIBUTES_DECL

    static final EReference XML_ATTRIBUTE_DECLARATION_ITEM__ATTRIBUTES_DECL

  The meta object literal for the 'Attributes Decl' container reference feature.

### XML_VALUE_FUNCTION_ELEMENT

    static final EClass XML_VALUE_FUNCTION_ELEMENT

  The meta object literal for the '`XML Value Function Element`' class.

  See Also:
    `XMLValueFunctionElementImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionElement()`

### XML_VALUE_FUNCTION_ELEMENT__ELEMENT_NAME

    static final EAttribute XML_VALUE_FUNCTION_ELEMENT__ELEMENT_NAME

  The meta object literal for the 'Element Name' attribute feature.

### XML_VALUE_FUNCTION_ELEMENT__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_ELEMENT__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_ELEMENT__NAMESPACES_DECL

    static final EReference XML_VALUE_FUNCTION_ELEMENT__NAMESPACES_DECL

  The meta object literal for the 'Namespaces Decl' containment reference feature.

### XML_VALUE_FUNCTION_ELEMENT__ATTRIBUTES_DECL

    static final EReference XML_VALUE_FUNCTION_ELEMENT__ATTRIBUTES_DECL

  The meta object literal for the 'Attributes Decl' containment reference feature.

### XML_VALUE_FUNCTION_ELEMENT__ELEMENT_CONTENT_LIST

    static final EReference XML_VALUE_FUNCTION_ELEMENT__ELEMENT_CONTENT_LIST

  The meta object literal for the 'Element Content List' containment reference feature.

### XML_NAMESPACE_DECLARATION_ITEM

    static final EClass XML_NAMESPACE_DECLARATION_ITEM

  The meta object literal for the '`XML Namespace Declaration Item`' class.

  See Also:
    `XMLNamespaceDeclarationItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLNamespaceDeclarationItem()`

### XML_NAMESPACE_DECLARATION_ITEM__URI

    static final EAttribute XML_NAMESPACE_DECLARATION_ITEM__URI

  The meta object literal for the 'Uri' attribute feature.

### XML_NAMESPACE_DECLARATION_ITEM__NAMESPACES_DECL

    static final EReference XML_NAMESPACE_DECLARATION_ITEM__NAMESPACES_DECL

  The meta object literal for the 'Namespaces Decl' container reference feature.

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM

    static final EClass XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM

  The meta object literal for the '`XML Value Function Element Content Item`' class.

  See Also:
    `XMLValueFunctionElementContentItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionElementContentItem()`

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM__ELEMENT_CONTENT_LIST

    static final EReference XML_VALUE_FUNCTION_ELEMENT_CONTENT_ITEM__ELEMENT_CONTENT_LIST

  The meta object literal for the 'Element Content List' container reference feature.

### XML_VALUE_FUNCTION_FOREST

    static final EClass XML_VALUE_FUNCTION_FOREST

  The meta object literal for the '`XML Value Function Forest`' class.

  See Also:
    `XMLValueFunctionForestImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionForest()`

### XML_VALUE_FUNCTION_FOREST__NULL_HANDLING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_FOREST__NULL_HANDLING_OPTION

  The meta object literal for the 'Null Handling Option' attribute feature.

### XML_VALUE_FUNCTION_FOREST__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_FOREST__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_FOREST__FOREST_CONTENT_LIST

    static final EReference XML_VALUE_FUNCTION_FOREST__FOREST_CONTENT_LIST

  The meta object literal for the 'Forest Content List' containment reference list feature.

### XML_VALUE_FUNCTION_FOREST__NAMESPACES_DECL

    static final EReference XML_VALUE_FUNCTION_FOREST__NAMESPACES_DECL

  The meta object literal for the 'Namespaces Decl' containment reference feature.

### XML_VALUE_FUNCTION_COMMENT

    static final EClass XML_VALUE_FUNCTION_COMMENT

  The meta object literal for the '`XML Value Function Comment`' class.

  See Also:
    `XMLValueFunctionCommentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionComment()`

### XML_VALUE_FUNCTION_COMMENT__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_COMMENT__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_COMMENT__COMMENT_CONTENT

    static final EReference XML_VALUE_FUNCTION_COMMENT__COMMENT_CONTENT

  The meta object literal for the 'Comment Content' containment reference feature.

### XML_VALUE_FUNCTION_DOCUMENT

    static final EClass XML_VALUE_FUNCTION_DOCUMENT

  The meta object literal for the '`XML Value Function Document`' class.

  See Also:
    `XMLValueFunctionDocumentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionDocument()`

### XML_VALUE_FUNCTION_DOCUMENT__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_DOCUMENT__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_DOCUMENT__DOCUMENT_CONTENT

    static final EReference XML_VALUE_FUNCTION_DOCUMENT__DOCUMENT_CONTENT

  The meta object literal for the 'Document Content' containment reference feature.

### XML_VALUE_FUNCTION_PARSE

    static final EClass XML_VALUE_FUNCTION_PARSE

  The meta object literal for the '`XML Value Function Parse`' class.

  See Also:
    `XMLValueFunctionParseImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionParse()`

### XML_VALUE_FUNCTION_PARSE__CONTENT_OPTION

    static final EAttribute XML_VALUE_FUNCTION_PARSE__CONTENT_OPTION

  The meta object literal for the 'Content Option' attribute feature.

### XML_VALUE_FUNCTION_PARSE__WHITESPACE_HANDLING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_PARSE__WHITESPACE_HANDLING_OPTION

  The meta object literal for the 'Whitespace Handling Option' attribute feature.

### XML_VALUE_FUNCTION_PARSE__PARSE_CONTENT

    static final EReference XML_VALUE_FUNCTION_PARSE__PARSE_CONTENT

  The meta object literal for the 'Parse Content' containment reference feature.

### XML_VALUE_FUNCTION_PI

    static final EClass XML_VALUE_FUNCTION_PI

  The meta object literal for the '`XML Value Function PI`' class.

  See Also:
    `XMLValueFunctionPIImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionPI()`

### XML_VALUE_FUNCTION_PI__TARGET_NAME

    static final EAttribute XML_VALUE_FUNCTION_PI__TARGET_NAME

  The meta object literal for the 'Target Name' attribute feature.

### XML_VALUE_FUNCTION_PI__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_PI__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_PI__PI_CONTENT

    static final EReference XML_VALUE_FUNCTION_PI__PI_CONTENT

  The meta object literal for the 'PI Content' containment reference feature.

### XML_VALUE_FUNCTION_QUERY

    static final EClass XML_VALUE_FUNCTION_QUERY

  The meta object literal for the '`XML Value Function Query`' class.

  See Also:
    `XMLValueFunctionQueryImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionQuery()`

### XML_VALUE_FUNCTION_QUERY__EMPTY_HANDLING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_QUERY__EMPTY_HANDLING_OPTION

  The meta object literal for the 'Empty Handling Option' attribute feature.

### XML_VALUE_FUNCTION_QUERY__XQUERY_EXPR

    static final EReference XML_VALUE_FUNCTION_QUERY__XQUERY_EXPR

  The meta object literal for the 'Xquery Expr' containment reference feature.

### XML_VALUE_FUNCTION_QUERY__XQUERY_ARG_LIST

    static final EReference XML_VALUE_FUNCTION_QUERY__XQUERY_ARG_LIST

  The meta object literal for the 'Xquery Arg List' containment reference feature.

### XML_VALUE_FUNCTION_QUERY__QUERY_RETURNING

    static final EReference XML_VALUE_FUNCTION_QUERY__QUERY_RETURNING

  The meta object literal for the 'Query Returning' containment reference feature.

### XML_VALUE_FUNCTION_TEXT

    static final EClass XML_VALUE_FUNCTION_TEXT

  The meta object literal for the '`XML Value Function Text`' class.

  See Also:
    `XMLValueFunctionTextImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionText()`

### XML_VALUE_FUNCTION_TEXT__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_TEXT__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_TEXT__TEXT_CONTENT

    static final EReference XML_VALUE_FUNCTION_TEXT__TEXT_CONTENT

  The meta object literal for the 'Text Content' containment reference feature.

### XML_VALUE_FUNCTION_VALIDATE

    static final EClass XML_VALUE_FUNCTION_VALIDATE

  The meta object literal for the '`XML Value Function Validate`' class.

  See Also:
    `XMLValueFunctionValidateImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidate()`

### XML_VALUE_FUNCTION_VALIDATE__CONTENT_OPTION

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE__CONTENT_OPTION

  The meta object literal for the 'Content Option' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE__VALIDATE_CONTENT

    static final EReference XML_VALUE_FUNCTION_VALIDATE__VALIDATE_CONTENT

  The meta object literal for the 'Validate Content' containment reference feature.

### XML_VALUE_FUNCTION_VALIDATE__VALIDATE_ACCORDING_TO

    static final EReference XML_VALUE_FUNCTION_VALIDATE__VALIDATE_ACCORDING_TO

  The meta object literal for the 'Validate According To' containment reference feature.

### XML_VALUE_EXPRESSION_CAST

    static final EClass XML_VALUE_EXPRESSION_CAST

  The meta object literal for the '`XML Value Expression Cast`' class.

  See Also:
    `XMLValueExpressionCastImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueExpressionCast()`

### XML_VALUE_EXPRESSION_CAST__PASSING_MECHANISM

    static final EAttribute XML_VALUE_EXPRESSION_CAST__PASSING_MECHANISM

  The meta object literal for the 'Passing Mechanism' attribute feature.

### XML_PREDICATE

    static final EClass XML_PREDICATE

  The meta object literal for the '`XML Predicate`' class.

  See Also:
    `XMLPredicateImpl`, `SQLXMLQueryModelPackageImpl.getXMLPredicate()`

### XML_PREDICATE_CONTENT

    static final EClass XML_PREDICATE_CONTENT

  The meta object literal for the '`XML Predicate Content`' class.

  See Also:
    `XMLPredicateContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLPredicateContent()`

### XML_PREDICATE_DOCUMENT

    static final EClass XML_PREDICATE_DOCUMENT

  The meta object literal for the '`XML Predicate Document`' class.

  See Also:
    `XMLPredicateDocumentImpl`, `SQLXMLQueryModelPackageImpl.getXMLPredicateDocument()`

### XML_PREDICATE_EXISTS

    static final EClass XML_PREDICATE_EXISTS

  The meta object literal for the '`XML Predicate Exists`' class.

  See Also:
    `XMLPredicateExistsImpl`, `SQLXMLQueryModelPackageImpl.getXMLPredicateExists()`

### XML_PREDICATE_EXISTS__XQUERY_EXPR

    static final EReference XML_PREDICATE_EXISTS__XQUERY_EXPR

  The meta object literal for the 'Xquery Expr' containment reference feature.

### XML_PREDICATE_EXISTS__XQUERY_ARG_LIST

    static final EReference XML_PREDICATE_EXISTS__XQUERY_ARG_LIST

  The meta object literal for the 'Xquery Arg List' containment reference feature.

### XML_PREDICATE_VALID

    static final EClass XML_PREDICATE_VALID

  The meta object literal for the '`XML Predicate Valid`' class.

  See Also:
    `XMLPredicateValidImpl`, `SQLXMLQueryModelPackageImpl.getXMLPredicateValid()`

### XML_QUERY_EXPRESSION

    static final EClass XML_QUERY_EXPRESSION

  The meta object literal for the '`XML Query Expression`' class.

  See Also:
    `XMLQueryExpressionImpl`, `SQLXMLQueryModelPackageImpl.getXMLQueryExpression()`

### XML_QUERY_EXPRESSION__XQUERY_EXPR_CONTENT

    static final EAttribute XML_QUERY_EXPRESSION__XQUERY_EXPR_CONTENT

  The meta object literal for the 'Xquery Expr Content' attribute feature.

### XML_QUERY_EXPRESSION__PREDICATE_EXISTS

    static final EReference XML_QUERY_EXPRESSION__PREDICATE_EXISTS

  The meta object literal for the 'Predicate Exists' container reference feature.

### XML_QUERY_EXPRESSION__VALUE_FUNCTION_QUERY

    static final EReference XML_QUERY_EXPRESSION__VALUE_FUNCTION_QUERY

  The meta object literal for the 'Value Function Query' container reference feature.

### XML_QUERY_ARGUMENT_LIST

    static final EClass XML_QUERY_ARGUMENT_LIST

  The meta object literal for the '`XML Query Argument List`' class.

  See Also:
    `XMLQueryArgumentListImpl`, `SQLXMLQueryModelPackageImpl.getXMLQueryArgumentList()`

### XML_QUERY_ARGUMENT_LIST__PASSING_MECHANISM

    static final EAttribute XML_QUERY_ARGUMENT_LIST__PASSING_MECHANISM

  The meta object literal for the 'Passing Mechanism' attribute feature.

### XML_QUERY_ARGUMENT_LIST__PREDICATE_EXISTS

    static final EReference XML_QUERY_ARGUMENT_LIST__PREDICATE_EXISTS

  The meta object literal for the 'Predicate Exists' container reference feature.

### XML_QUERY_ARGUMENT_LIST__XQUERY_ARG_LIST_CHILDREN

    static final EReference XML_QUERY_ARGUMENT_LIST__XQUERY_ARG_LIST_CHILDREN

  The meta object literal for the 'Xquery Arg List Children' containment reference list feature.

### XML_QUERY_ARGUMENT_LIST__VALUE_FUNCTION_QUERY

    static final EReference XML_QUERY_ARGUMENT_LIST__VALUE_FUNCTION_QUERY

  The meta object literal for the 'Value Function Query' container reference feature.

### XML_QUERY_ARGUMENT_LIST__TABLE_FUNCTION

    static final EReference XML_QUERY_ARGUMENT_LIST__TABLE_FUNCTION

  The meta object literal for the 'Table Function' container reference feature.

### XML_QUERY_ARGUMENT_ITEM

    static final EClass XML_QUERY_ARGUMENT_ITEM

  The meta object literal for the '`XML Query Argument Item`' class.

  See Also:
    `XMLQueryArgumentItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLQueryArgumentItem()`

### XML_QUERY_ARGUMENT_ITEM__PASSING_MECHANISM

    static final EAttribute XML_QUERY_ARGUMENT_ITEM__PASSING_MECHANISM

  The meta object literal for the 'Passing Mechanism' attribute feature.

### XML_QUERY_ARGUMENT_ITEM__XQUERY_ARG_LIST

    static final EReference XML_QUERY_ARGUMENT_ITEM__XQUERY_ARG_LIST

  The meta object literal for the 'Xquery Arg List' container reference feature.

### XML_QUERY_ARGUMENT_ITEM__VALUE_EXPR

    static final EReference XML_QUERY_ARGUMENT_ITEM__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_SERIALIZE_FUNCTION

    static final EClass XML_SERIALIZE_FUNCTION

  The meta object literal for the '`XML Serialize Function`' class.

  See Also:
    `XMLSerializeFunctionImpl`, `SQLXMLQueryModelPackageImpl.getXMLSerializeFunction()`

### XML_SERIALIZE_FUNCTION__CONTENT_OPTION

    static final EAttribute XML_SERIALIZE_FUNCTION__CONTENT_OPTION

  The meta object literal for the 'Content Option' attribute feature.

### XML_SERIALIZE_FUNCTION__SERIALIZE_VERSION

    static final EAttribute XML_SERIALIZE_FUNCTION__SERIALIZE_VERSION

  The meta object literal for the 'Serialize Version' attribute feature.

### XML_SERIALIZE_FUNCTION__DECLARATION_OPTION

    static final EAttribute XML_SERIALIZE_FUNCTION__DECLARATION_OPTION

  The meta object literal for the 'Declaration Option' attribute feature.

### XML_SERIALIZE_FUNCTION__SERIALIZE_TARGET

    static final EReference XML_SERIALIZE_FUNCTION__SERIALIZE_TARGET

  The meta object literal for the 'Serialize Target' containment reference feature.

### XML_SERIALIZE_FUNCTION__SERIALIZE_ENCODING

    static final EReference XML_SERIALIZE_FUNCTION__SERIALIZE_ENCODING

  The meta object literal for the 'Serialize Encoding' containment reference feature.

### XML_SERIALIZE_FUNCTION_TARGET

    static final EClass XML_SERIALIZE_FUNCTION_TARGET

  The meta object literal for the '`XML Serialize Function Target`' class.

  See Also:
    `XMLSerializeFunctionTargetImpl`, `SQLXMLQueryModelPackageImpl.getXMLSerializeFunctionTarget()`

### XML_SERIALIZE_FUNCTION_TARGET__SERIALIZE_FUNCTION

    static final EReference XML_SERIALIZE_FUNCTION_TARGET__SERIALIZE_FUNCTION

  The meta object literal for the 'Serialize Function' container reference feature.

### XML_SERIALIZE_FUNCTION_TARGET__VALUE_EXPR

    static final EReference XML_SERIALIZE_FUNCTION_TARGET__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_AGGREGATE_FUNCTION

    static final EClass XML_AGGREGATE_FUNCTION

  The meta object literal for the '`XML Aggregate Function`' class.

  See Also:
    `XMLAggregateFunctionImpl`, `SQLXMLQueryModelPackageImpl.getXMLAggregateFunction()`

### XML_AGGREGATE_FUNCTION__RETURNING_OPTION

    static final EAttribute XML_AGGREGATE_FUNCTION__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_AGGREGATE_FUNCTION__SORT_SPEC_LIST

    static final EReference XML_AGGREGATE_FUNCTION__SORT_SPEC_LIST

  The meta object literal for the 'Sort Spec List' containment reference list feature.

### XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM

    static final EClass XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM

  The meta object literal for the '`XML Value Function Concat Content Item`' class.

  See Also:
    `XMLValueFunctionConcatContentItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionConcatContentItem()`

### XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM__VALUE_FUNCTION_CONCAT

    static final EReference XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM__VALUE_FUNCTION_CONCAT

  The meta object literal for the 'Value Function Concat' container reference feature.

### XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_CONCAT_CONTENT_ITEM__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_VALUE_FUNCTION_COMMENT_CONTENT

    static final EClass XML_VALUE_FUNCTION_COMMENT_CONTENT

  The meta object literal for the '`XML Value Function Comment Content`' class.

  See Also:
    `XMLValueFunctionCommentContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionCommentContent()`

### XML_VALUE_FUNCTION_COMMENT_CONTENT__VALUE_FUNCTION_COMMENT

    static final EReference XML_VALUE_FUNCTION_COMMENT_CONTENT__VALUE_FUNCTION_COMMENT

  The meta object literal for the 'Value Function Comment' container reference feature.

### XML_VALUE_FUNCTION_COMMENT_CONTENT__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_COMMENT_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_VALUE_FUNCTION_DOCUMENT_CONTENT

    static final EClass XML_VALUE_FUNCTION_DOCUMENT_CONTENT

  The meta object literal for the '`XML Value Function Document Content`' class.

  See Also:
    `XMLValueFunctionDocumentContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionDocumentContent()`

### XML_VALUE_FUNCTION_DOCUMENT_CONTENT__VALUE_FUNCTION_DOCUMENT

    static final EReference XML_VALUE_FUNCTION_DOCUMENT_CONTENT__VALUE_FUNCTION_DOCUMENT

  The meta object literal for the 'Value Function Document' container reference feature.

### XML_VALUE_FUNCTION_DOCUMENT_CONTENT__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_DOCUMENT_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_AGGREGATE_SORT_SPECIFICATION

    static final EClass XML_AGGREGATE_SORT_SPECIFICATION

  The meta object literal for the '`XML Aggregate Sort Specification`' class.

  See Also:
    `XMLAggregateSortSpecificationImpl`, `SQLXMLQueryModelPackageImpl.getXMLAggregateSortSpecification()`

### XML_AGGREGATE_SORT_SPECIFICATION__AGGREGATE_FUNCTION

    static final EReference XML_AGGREGATE_SORT_SPECIFICATION__AGGREGATE_FUNCTION

  The meta object literal for the 'Aggregate Function' container reference feature.

### XML_AGGREGATE_SORT_SPECIFICATION__ORDER_BY_SPEC

    static final EReference XML_AGGREGATE_SORT_SPECIFICATION__ORDER_BY_SPEC

  The meta object literal for the 'Order By Spec' containment reference feature.

### XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM

    static final EClass XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM

  The meta object literal for the '`XML Value Function Forest Content Item`' class.

  See Also:
    `XMLValueFunctionForestContentItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionForestContentItem()`

### XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM__VALUE_FUNCTION_FOREST

    static final EReference XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM__VALUE_FUNCTION_FOREST

  The meta object literal for the 'Value Function Forest' container reference feature.

### XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_FOREST_CONTENT_ITEM__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_VALUE_FUNCTION_PARSE_CONTENT

    static final EClass XML_VALUE_FUNCTION_PARSE_CONTENT

  The meta object literal for the '`XML Value Function Parse Content`' class.

  See Also:
    `XMLValueFunctionParseContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionParseContent()`

### XML_VALUE_FUNCTION_PARSE_CONTENT__VALUE_FUNCTION_PARSE

    static final EReference XML_VALUE_FUNCTION_PARSE_CONTENT__VALUE_FUNCTION_PARSE

  The meta object literal for the 'Value Function Parse' container reference feature.

### XML_VALUE_FUNCTION_PARSE_CONTENT__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_PARSE_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_VALUE_FUNCTION_PI_CONTENT

    static final EClass XML_VALUE_FUNCTION_PI_CONTENT

  The meta object literal for the '`XML Value Function PI Content`' class.

  See Also:
    `XMLValueFunctionPIContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionPIContent()`

### XML_VALUE_FUNCTION_PI_CONTENT__VALUE_FUNCTION_PI

    static final EReference XML_VALUE_FUNCTION_PI_CONTENT__VALUE_FUNCTION_PI

  The meta object literal for the 'Value Function PI' container reference feature.

### XML_VALUE_FUNCTION_PI_CONTENT__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_PI_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_TABLE_FUNCTION

    static final EClass XML_TABLE_FUNCTION

  The meta object literal for the '`XML Table Function`' class.

  See Also:
    `XMLTableFunctionImpl`, `SQLXMLQueryModelPackageImpl.getXMLTableFunction()`

### XML_TABLE_FUNCTION__TABLE_ROW_PATTERN

    static final EAttribute XML_TABLE_FUNCTION__TABLE_ROW_PATTERN

  The meta object literal for the 'Table Row Pattern' attribute feature.

### XML_TABLE_FUNCTION__XQUERY_ARG_LIST

    static final EReference XML_TABLE_FUNCTION__XQUERY_ARG_LIST

  The meta object literal for the 'Xquery Arg List' containment reference feature.

### XML_TABLE_FUNCTION__COLUMN_DEF_LIST

    static final EReference XML_TABLE_FUNCTION__COLUMN_DEF_LIST

  The meta object literal for the 'Column Def List' containment reference list feature.

### XML_TABLE_FUNCTION__NAMESPACES_DECL

    static final EReference XML_TABLE_FUNCTION__NAMESPACES_DECL

  The meta object literal for the 'Namespaces Decl' containment reference feature.

### XML_VALUE_FUNCTION_TEXT_CONTENT

    static final EClass XML_VALUE_FUNCTION_TEXT_CONTENT

  The meta object literal for the '`XML Value Function Text Content`' class.

  See Also:
    `XMLValueFunctionTextContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionTextContent()`

### XML_VALUE_FUNCTION_TEXT_CONTENT__VALUE_FUNCTION_TEXT

    static final EReference XML_VALUE_FUNCTION_TEXT_CONTENT__VALUE_FUNCTION_TEXT

  The meta object literal for the 'Value Function Text' container reference feature.

### XML_VALUE_FUNCTION_TEXT_CONTENT__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_TEXT_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_VALUE_FUNCTION_VALIDATE_CONTENT

    static final EClass XML_VALUE_FUNCTION_VALIDATE_CONTENT

  The meta object literal for the '`XML Value Function Validate Content`' class.

  See Also:
    `XMLValueFunctionValidateContentImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateContent()`

### XML_VALUE_FUNCTION_VALIDATE_CONTENT__VALUE_FUNCTION_VALIDATE

    static final EReference XML_VALUE_FUNCTION_VALIDATE_CONTENT__VALUE_FUNCTION_VALIDATE

  The meta object literal for the 'Value Function Validate' container reference feature.

### XML_VALUE_FUNCTION_VALIDATE_CONTENT__VALUE_EXPR

    static final EReference XML_VALUE_FUNCTION_VALIDATE_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_TABLE_COLUMN_DEFINITION_ITEM

    static final EClass XML_TABLE_COLUMN_DEFINITION_ITEM

  The meta object literal for the '`XML Table Column Definition Item`' class.

  See Also:
    `XMLTableColumnDefinitionItemImpl`, `SQLXMLQueryModelPackageImpl.getXMLTableColumnDefinitionItem()`

### XML_TABLE_COLUMN_DEFINITION_ITEM__TABLE_FUNCTION

    static final EReference XML_TABLE_COLUMN_DEFINITION_ITEM__TABLE_FUNCTION

  The meta object literal for the 'Table Function' container reference feature.

### XML_TABLE_COLUMN_DEFINITION_REGULAR

    static final EClass XML_TABLE_COLUMN_DEFINITION_REGULAR

  The meta object literal for the '`XML Table Column Definition Regular`' class.

  See Also:
    `XMLTableColumnDefinitionRegularImpl`, `SQLXMLQueryModelPackageImpl.getXMLTableColumnDefinitionRegular()`

### XML_TABLE_COLUMN_DEFINITION_REGULAR__DATA_TYPE

    static final EReference XML_TABLE_COLUMN_DEFINITION_REGULAR__DATA_TYPE

  The meta object literal for the 'Data Type' containment reference feature.

### XML_TABLE_COLUMN_DEFINITION_REGULAR__PASSING_OPTION

    static final EAttribute XML_TABLE_COLUMN_DEFINITION_REGULAR__PASSING_OPTION

  The meta object literal for the 'Passing Option' attribute feature.

### XML_TABLE_COLUMN_DEFINITION_REGULAR__TABLE_COLUMN_PATTERN

    static final EAttribute XML_TABLE_COLUMN_DEFINITION_REGULAR__TABLE_COLUMN_PATTERN

  The meta object literal for the 'Table Column Pattern' attribute feature.

### XML_TABLE_COLUMN_DEFINITION_REGULAR__COLUMN_DEFINITION_DEFAULT

    static final EReference XML_TABLE_COLUMN_DEFINITION_REGULAR__COLUMN_DEFINITION_DEFAULT

  The meta object literal for the 'Column Definition Default' containment reference feature.

### XML_TABLE_COLUMN_DEFINITION_ORDINALITY

    static final EClass XML_TABLE_COLUMN_DEFINITION_ORDINALITY

  The meta object literal for the '`XML Table Column Definition Ordinality`' class.

  See Also:
    `XMLTableColumnDefinitionOrdinalityImpl`, `SQLXMLQueryModelPackageImpl.getXMLTableColumnDefinitionOrdinality()`

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO

    static final EClass XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO

  The meta object literal for the '`XML Value Function Validate According To`' class.

  See Also:
    `XMLValueFunctionValidateAccordingToImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateAccordingTo()`

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO__VALUE_FUNCTION_VALIDATE

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO__VALUE_FUNCTION_VALIDATE

  The meta object literal for the 'Value Function Validate' container reference feature.

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO__VALIDATE_ELEMENT

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO__VALIDATE_ELEMENT

  The meta object literal for the 'Validate Element' containment reference feature.

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI

    static final EClass XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI

  The meta object literal for the '`XML Value Function Validate According To URI`' class.

  See Also:
    `XMLValueFunctionValidateAccordingToURIImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateAccordingToURI()`

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__NO_NAMESPACE

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__NO_NAMESPACE

  The meta object literal for the 'No Namespace' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__TARGET_NAMESPACE_URI

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__TARGET_NAMESPACE_URI

  The meta object literal for the 'Target Namespace URI' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__SCHEMA_LOCATION_URI

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_URI__SCHEMA_LOCATION_URI

  The meta object literal for the 'Schema Location URI' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER

    static final EClass XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER

  The meta object literal for the '`XML Value Function Validate According To Identifier`' class.

  See Also:
    `XMLValueFunctionValidateAccordingToIdentifierImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateAccordingToIdentifier()`

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER__SCHEMA_NAME

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER__SCHEMA_NAME

  The meta object literal for the 'Schema Name' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER__REGISTERED_XML_SCHEMA_NAME

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ACCORDING_TO_IDENTIFIER__REGISTERED_XML_SCHEMA_NAME

  The meta object literal for the 'Registered XML Schema Name' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAME

    static final EClass XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAME

  The meta object literal for the '`XML Value Function Validate Element Name`' class.

  See Also:
    `XMLValueFunctionValidateElementNameImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateElementName()`

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAME__VALIDATE_ELEMENT

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAME__VALIDATE_ELEMENT

  The meta object literal for the 'Validate Element' container reference feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE

    static final EClass XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE

  The meta object literal for the '`XML Value Function Validate Element Namespace`' class.

  See Also:
    `XMLValueFunctionValidateElementNamespaceImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateElementNamespace()`

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__NO_NAMESPACE

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__NO_NAMESPACE

  The meta object literal for the 'No Namespace' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__NAMESPACE_URI

    static final EAttribute XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__NAMESPACE_URI

  The meta object literal for the 'Namespace URI' attribute feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__VALIDATE_ELEMENT

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ELEMENT_NAMESPACE__VALIDATE_ELEMENT

  The meta object literal for the 'Validate Element' container reference feature.

### XML_NAMESPACES_DECLARATION

    static final EClass XML_NAMESPACES_DECLARATION

  The meta object literal for the '`XML Namespaces Declaration`' class.

  See Also:
    `XMLNamespacesDeclarationImpl`, `SQLXMLQueryModelPackageImpl.getXMLNamespacesDeclaration()`

### XML_NAMESPACES_DECLARATION__NAMESPACE_DECLTEM_LIST

    static final EReference XML_NAMESPACES_DECLARATION__NAMESPACE_DECLTEM_LIST

  The meta object literal for the 'Namespace Decltem List' containment reference list feature.

### XML_NAMESPACES_DECLARATION__VALUE_FUNCTION_ELEMENT

    static final EReference XML_NAMESPACES_DECLARATION__VALUE_FUNCTION_ELEMENT

  The meta object literal for the 'Value Function Element' container reference feature.

### XML_NAMESPACES_DECLARATION__VALUE_FUNCTION_FOREST

    static final EReference XML_NAMESPACES_DECLARATION__VALUE_FUNCTION_FOREST

  The meta object literal for the 'Value Function Forest' container reference feature.

### XML_NAMESPACES_DECLARATION__TABLE_FUNCTION

    static final EReference XML_NAMESPACES_DECLARATION__TABLE_FUNCTION

  The meta object literal for the 'Table Function' container reference feature.

### XML_ATTRIBUTES_DECLARATION

    static final EClass XML_ATTRIBUTES_DECLARATION

  The meta object literal for the '`XML Attributes Declaration`' class.

  See Also:
    `XMLAttributesDeclarationImpl`, `SQLXMLQueryModelPackageImpl.getXMLAttributesDeclaration()`

### XML_ATTRIBUTES_DECLARATION__VALUE_FUNCTION_ELEMENT

    static final EReference XML_ATTRIBUTES_DECLARATION__VALUE_FUNCTION_ELEMENT

  The meta object literal for the 'Value Function Element' container reference feature.

### XML_ATTRIBUTES_DECLARATION__ATTRIBUTE_DECL_ITEM

    static final EReference XML_ATTRIBUTES_DECLARATION__ATTRIBUTE_DECL_ITEM

  The meta object literal for the 'Attribute Decl Item' containment reference list feature.

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST

    static final EClass XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST

  The meta object literal for the '`XML Value Function Element Content List`' class.

  See Also:
    `XMLValueFunctionElementContentListImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionElementContentList()`

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__NULL_HANDLING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__NULL_HANDLING_OPTION

  The meta object literal for the 'Null Handling Option' attribute feature.

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__VALUE_FUNCTION_ELEMENT

    static final EReference XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__VALUE_FUNCTION_ELEMENT

  The meta object literal for the 'Value Function Element' container reference feature.

### XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__ELEMENT_CONTENT_LIST_CHILDREN

    static final EReference XML_VALUE_FUNCTION_ELEMENT_CONTENT_LIST__ELEMENT_CONTENT_LIST_CHILDREN

  The meta object literal for the 'Element Content List Children' containment reference list feature.

### XML_VALUE_FUNCTION_QUERY_RETURNING

    static final EClass XML_VALUE_FUNCTION_QUERY_RETURNING

  The meta object literal for the '`XML Value Function Query Returning`' class.

  See Also:
    `XMLValueFunctionQueryReturningImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionQueryReturning()`

### XML_VALUE_FUNCTION_QUERY_RETURNING__RETURNING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_QUERY_RETURNING__RETURNING_OPTION

  The meta object literal for the 'Returning Option' attribute feature.

### XML_VALUE_FUNCTION_QUERY_RETURNING__PASSING_OPTION

    static final EAttribute XML_VALUE_FUNCTION_QUERY_RETURNING__PASSING_OPTION

  The meta object literal for the 'Passing Option' attribute feature.

### XML_VALUE_FUNCTION_QUERY_RETURNING__VALUE_FUNCTION_QUERY

    static final EReference XML_VALUE_FUNCTION_QUERY_RETURNING__VALUE_FUNCTION_QUERY

  The meta object literal for the 'Value Function Query' container reference feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT

    static final EClass XML_VALUE_FUNCTION_VALIDATE_ELEMENT

  The meta object literal for the '`XML Value Function Validate Element`' class.

  See Also:
    `XMLValueFunctionValidateElementImpl`, `SQLXMLQueryModelPackageImpl.getXMLValueFunctionValidateElement()`

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ELEMENT_NAMESPACE

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ELEMENT_NAMESPACE

  The meta object literal for the 'Validate Element Namespace' containment reference feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ELEMENT_NAME

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ELEMENT_NAME

  The meta object literal for the 'Validate Element Name' containment reference feature.

### XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ACCORDING_TO

    static final EReference XML_VALUE_FUNCTION_VALIDATE_ELEMENT__VALIDATE_ACCORDING_TO

  The meta object literal for the 'Validate According To' container reference feature.

### XML_TABLE_COLUMN_DEFINITION_DEFAULT

    static final EClass XML_TABLE_COLUMN_DEFINITION_DEFAULT

  The meta object literal for the '`XML Table Column Definition Default`' class.

  See Also:
    `XMLTableColumnDefinitionDefaultImpl`, `SQLXMLQueryModelPackageImpl.getXMLTableColumnDefinitionDefault()`

### XML_TABLE_COLUMN_DEFINITION_DEFAULT__VALUE_EXPR

    static final EReference XML_TABLE_COLUMN_DEFINITION_DEFAULT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### XML_TABLE_COLUMN_DEFINITION_DEFAULT__COLUMN_DEFINITION_REGULAR

    static final EReference XML_TABLE_COLUMN_DEFINITION_DEFAULT__COLUMN_DEFINITION_REGULAR

  The meta object literal for the 'Column Definition Regular' container reference feature.

### XML_SERIALIZE_FUNCTION_ENCODING

    static final EClass XML_SERIALIZE_FUNCTION_ENCODING

  The meta object literal for the '`XML Serialize Function Encoding`' class.

  See Also:
    `XMLSerializeFunctionEncodingImpl`, `SQLXMLQueryModelPackageImpl.getXMLSerializeFunctionEncoding()`

### XML_SERIALIZE_FUNCTION_ENCODING__ENCODING_NAME

    static final EAttribute XML_SERIALIZE_FUNCTION_ENCODING__ENCODING_NAME

  The meta object literal for the 'Encoding Name' attribute feature.

### XML_PASSING_TYPE

    static final EEnum XML_PASSING_TYPE

  The meta object literal for the '`XML Passing Type`' enum.

  See Also:
    `XMLPassingType`, `SQLXMLQueryModelPackageImpl.getXMLPassingType()`

### XML_CONTENT_TYPE

    static final EEnum XML_CONTENT_TYPE

  The meta object literal for the '`XML Content Type`' enum.

  See Also:
    `XMLContentType`, `SQLXMLQueryModelPackageImpl.getXMLContentType()`

### XML_DECLARATION_TYPE

    static final EEnum XML_DECLARATION_TYPE

  The meta object literal for the '`XML Declaration Type`' enum.

  See Also:
    `XMLDeclarationType`, `SQLXMLQueryModelPackageImpl.getXMLDeclarationType()`

### XML_RETURNING_TYPE

    static final EEnum XML_RETURNING_TYPE

  The meta object literal for the '`XML Returning Type`' enum.

  See Also:
    `XMLReturningType`, `SQLXMLQueryModelPackageImpl.getXMLReturningType()`

### XML_NULL_HANDLING_TYPE

    static final EEnum XML_NULL_HANDLING_TYPE

  The meta object literal for the '`XML Null Handling Type`' enum.

  See Also:
    `XMLNullHandlingType`, `SQLXMLQueryModelPackageImpl.getXMLNullHandlingType()`

### XML_WHITESPACE_HANDLING_TYPE

    static final EEnum XML_WHITESPACE_HANDLING_TYPE

  The meta object literal for the '`XML Whitespace Handling Type`' enum.

  See Also:
    `XMLWhitespaceHandlingType`, `SQLXMLQueryModelPackageImpl.getXMLWhitespaceHandlingType()`

### XML_EMPTY_HANDLING_TYPE

    static final EEnum XML_EMPTY_HANDLING_TYPE

  The meta object literal for the '`XML Empty Handling Type`' enum.

  See Also:
    `XMLEmptyHandlingType`, `SQLXMLQueryModelPackageImpl.getXMLEmptyHandlingType()`

### XML_CONTENT_TYPE2

    static final EEnum XML_CONTENT_TYPE2

  The meta object literal for the '`XML Content Type2`' enum.

  See Also:
    `XMLContentType2`, `SQLXMLQueryModelPackageImpl.getXMLContentType2()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.